CREATE OR ALTER procedure GET_REPORT_STATTALONS_PROC (
    V_ID_REPORT integer)
returns (
    V_ID_STATTALON integer,
    V_NUB_K char(10),
    V_SS char(14),
    V_SN_POL char(25),
    V_CKATL char(3),
    V_NY char(2),
    V_FAM varchar(40),
    V_IM varchar(40),
    V_OT varchar(40),
    V_W char(1),
    V_DR date,
    V_C_P char(2),
    V_SN_DOK char(25),
    V_ADRES varchar(100),
    V_GS char(1),
    V_SOC char(2),
    V_SN_INV char(1),
    V_D_ZA date,
    V_VID_O char(1),
    V_M_OBSL char(1),
    V_CEL_P char(1),
    V_XAR_Z char(1),
    V_D_UCH char(1),
    V_D_RA char(6),
    V_DATA_D_RA date,
    V_DB_ZA date,
    V_DB_OT date,
    V_BL char(1),
    V_PRIC_BL char(1),
    V_BL_UX_P char(1),
    V_BL_UX_VZ char(2),
    V_D_P_USL date,
    V_SP1 char(10),
    V_SP2 char(10),
    V_D_OS char(7),
    V_TERR char(4),
    V_INVAL char(1),
    V_TRAVMA char(2),
    V_REZ_OB char(2),
    V_OGRN char(15),
    V_COMPANY char(4))
as
BEGIN
    for select ID_STATTALON,
                          NUB_K,
                          SS,
                          SN_POL,
                          CKATL,
                          NY,
                          FAM,
                          IM,
                          OT,
                          W,
                          DR,
                          C_P,
                          SN_DOK,
                          ADRES,
                          GS,
                          SOC,
                          SN_INV,
                          D_ZA,
                          VID_O,
                          M_OBSL,
                          CEL_P,
                          XAR_Z,
                          D_UCH,
                          D_RA,
                          DATA_D_RA,
                          DB_ZA,
                          DB_OT,
                          BL,
                          PRIC_BL,
                          BL_UX_P,
                          BL_UX_VZ,
                          D_P_USL,
                          SP1,
                          SP2,
                          D_OS,
                          TERR,
                          INVAL,
                          TRAVMA,
                          REZ_OB,
                          OGRN,
                          COMPANY from stattalon where id_report = :v_id_report
    into :v_ID_STATTALON,
           :v_NUB_K,
           :v_SS,
           :v_SN_POL,
           :v_CKATL,
           :v_NY,
           :v_FAM,
           :v_IM,
           :v_OT,
           :v_W,
           :v_DR,
           :v_C_P,
           :v_SN_DOK,
           :v_ADRES,
           :v_GS,
           :v_SOC,
           :v_SN_INV,
           :v_D_ZA,
           :v_VID_O,
           :v_M_OBSL,
           :v_CEL_P,
           :v_XAR_Z,
           :v_D_UCH,
           :v_D_RA,
           :v_DATA_D_RA,
           :v_DB_ZA,
           :v_DB_OT,
           :v_BL,
           :v_PRIC_BL,
           :v_BL_UX_P,
           :v_BL_UX_VZ,
           :v_D_P_USL,
           :v_SP1,
           :v_SP2,
           :v_D_OS,
           :v_TERR,
           :v_INVAL,
           :v_TRAVMA,
           :v_REZ_OB,
           :v_OGRN,
           :v_COMPANY do
    begin
        suspend;
    end

END