CREATE OR ALTER procedure CALC_USL_PROC (
    USL char(16),
    IDFYS integer,
    W_CHILD integer)
returns (
    YET_U numeric(8,2))
as
declare variable YEV numeric(8,2);
declare variable YED numeric(8,2);
begin
  yet_u = 0;
  yev = 0;
  yed = 0;

select fys2006.vrvy, fys2006.vrsy from fys2006 where fys2006.kod_us_mz = :usl
and fys2006.idfysmanual = :idfys into :yev, :yed ;
if (w_child=1) then
yet_u = yed;
if (w_child=0) then
yet_u = yev;

suspend;
end